Bug 250549 - ftp/curl 7.73.0 fails to build with ../lib/.libs/libcurl.so: undefined reference to `Curl_get_line'
Summary: ftp/curl 7.73.0 fails to build with ../lib/.libs/libcurl.so: undefined refere...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-23 01:06 UTC by Artyom Davidov
Modified: 2020-12-13 15:54 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Artyom Davidov 2020-10-23 01:06:01 UTC
Hello!
The ftp/curl 7.73.0 fails to build on FreeBSD 11.4 amd64 with
../lib/.libs/libcurl.so: undefined reference to `Curl_get_line'

The following port configuration options were used:
===> The following configuration options are available for curl-7.73.0:
     ALTSVC=on: HTTP Alternative Services support
     BROTLI=off: Brotli compression support
     CA_BUNDLE=on: Enable CA bundle for OpenSSL/GnuTLS/mbedTLS
     COOKIES=off: Cookies support
     CURL_DEBUG=off: cURL debug memory tracking
     DEBUG=off: Build with debugging support
     DOCS=on: Build and/or install documentation
     EXAMPLES=on: Build and/or install examples
     IDN=off: International Domain Names support
     IPV6=on: IPv6 protocol support
     METALINK=off: Metalink support
     NTLM=off: NTLM authentication support
     PROXY=on: Proxy support
     PSL=off: Public Suffix List support
     TLS_SRP=on: TLS-SRP (Secure Remote Password) support
====> Options available for the group PROTOCOL
     DICT=on: DICT (RFC 2229) support
     FTP=on: FTP protocol support
     GOPHER=on: Gopher protocol support
     HTTP=on: HTTP/HTTPS support
     HTTP2=on: HTTP/2 support (requires HTTP)
     IMAP=on: IMAP/IMAPS support
     LDAP=on: LDAP protocol support
     LDAPS=on: LDAP protocol over SSL support
     LIBSSH2=on: SCP/SFTP support via libssh2 (requires OPENSSL)
     POP3=on: POP3/POP3S support
     RTMP=off: RTMP protocol support via librtmp
     RTSP=on: Real Time Streaming Protocol (RTSP) support
     SMB=off: SMB/CIFS support
     SMTP=on: SMTP/SMTPS support
     TELNET=on: Telnet support
     TFTP=on: TFTP support
====> GSSAPI Security API support: you have to select exactly one of them
     GSSAPI_BASE=off: GSSAPI support via base system (needs Kerberos)
     GSSAPI_HEIMDAL=off: GSSAPI support via security/heimdal
     GSSAPI_MIT=off: GSSAPI support via security/krb5
     GSSAPI_NONE=on: Disable GSSAPI support
====> DNS resolving options: you have to select exactly one of them
     CARES=off: Asynchronous DNS resolution via c-ares
     THREADED_RESOLVER=on: Threaded DNS resolver
====> SSL protocol support: you can only select none or one of them
     GNUTLS=off: SSL/TLS support via GnuTLS
     NSS=off: SSL/TLS support via NSS
     OPENSSL=on: SSL/TLS support via OpenSSL
     WOLFSSL=off: SSL/TLS support via wolfSSL

The build stops with the following message:
--- curl ---
/bin/sh ../libtool  --tag=CC    --mode=link cc  -O2 -pipe -fstack-protector-strong -DLDAP_DEPRECATED -isystem /usr/local/include -fno-strict-aliasing -Qunused-arguments -pthread   -L/usr/lib -L/usr/lib -fstack-protector-strong -L/usr/local/lib -L/usr/local/lib -o curl curl-slist_wc.o curl-tool_binmode.o  curl-tool_bname.o curl-tool_cb_dbg.o  curl-tool_cb_hdr.o curl-tool_cb_prg.o  curl-tool_cb_rea.o curl-tool_cb_see.o  curl-tool_cb_wrt.o curl-tool_cfgable.o  curl-tool_convert.o curl-tool_dirhie.o  curl-tool_doswin.o curl-tool_easysrc.o  curl-tool_filetime.o curl-tool_formparse.o  curl-tool_getparam.o curl-tool_getpass.o  curl-tool_help.o curl-tool_helpers.o  curl-tool_homedir.o curl-tool_hugehelp.o  curl-tool_libinfo.o curl-tool_main.o  curl-tool_metalink.o curl-tool_msgs.o  curl-tool_operate.o curl-tool_operhlp.o  curl-tool_panykey.o curl-tool_paramhlp.o  curl-tool_parsecfg.o curl-tool_progress.o  curl-tool_strdup.o curl-tool_setopt.o  curl-tool_sleep.o curl-tool_urlglob.o  curl-tool_util.o curl-tool_vms.o  curl-tool_writeout.o curl-tool_writeout_json.o  curl-tool_xattr.o ../lib/curl-strtoofft.o  ../lib/curl-nonblock.o ../lib/curl-warnless.o  ../lib/curl-curl_ctype.o  ../lib/curl-curl_multibyte.o  ../lib/curl-version_win32.o  ../lib/curl-dynbuf.o  ../lib/libcurl.la    -lz -L/usr/local/lib 
libtool: link: cc -O2 -pipe -fstack-protector-strong -DLDAP_DEPRECATED -isystem /usr/local/include -fno-strict-aliasing -Qunused-arguments -pthread -fstack-protector-strong -o .libs/curl curl-slist_wc.o curl-tool_binmode.o curl-tool_bname.o curl-tool_cb_dbg.o curl-tool_cb_hdr.o curl-tool_cb_prg.o curl-tool_cb_rea.o curl-tool_cb_see.o curl-tool_cb_wrt.o curl-tool_cfgable.o curl-tool_convert.o curl-tool_dirhie.o curl-tool_doswin.o curl-tool_easysrc.o curl-tool_filetime.o curl-tool_formparse.o curl-tool_getparam.o curl-tool_getpass.o curl-tool_help.o curl-tool_helpers.o curl-tool_homedir.o curl-tool_hugehelp.o curl-tool_libinfo.o curl-tool_main.o curl-tool_metalink.o curl-tool_msgs.o curl-tool_operate.o curl-tool_operhlp.o curl-tool_panykey.o curl-tool_paramhlp.o curl-tool_parsecfg.o curl-tool_progress.o curl-tool_strdup.o curl-tool_setopt.o curl-tool_sleep.o curl-tool_urlglob.o curl-tool_util.o curl-tool_vms.o curl-tool_writeout.o curl-tool_writeout_json.o curl-tool_xattr.o ../lib/curl-strtoofft.o ../lib/curl-nonblock.o ../lib/curl-warnless.o ../lib/curl-curl_ctype.o ../lib/curl-curl_multibyte.o ../lib/curl-version_win32.o ../lib/curl-dynbuf.o  -L/usr/lib -L/usr/local/lib ../lib/.libs/libcurl.so -lz -pthread -Wl,-rpath -Wl,/usr/local/lib
../lib/.libs/libcurl.so: undefined reference to `Curl_get_line'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
*** [curl] Error code 1

make[3]: stopped in /construction/xports/ftp/curl/work/curl-7.73.0/src
1 error


Looks like it's the same bug that was fixed earlier in
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=236890
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-11-26 11:31:54 UTC
I'm not sure why it happens. Do you have old version installed? Please remove it and test again.
Comment 2 Marcin Gryszkalis 2020-11-28 16:22:41 UTC
I experienced the same problem - fixed by enabling COOKIES option.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-12-13 15:54:51 UTC
It should be fixed in curl 7.74.0.